Subject: [bug#54986] [PATCH 0/2] services: mpd: Refactor MPD service

From: mirai <[email-masked]>
Date: Sun, 11 Dec 2022 12:05:38 +0000

On 2022-12-09 19:22, Liliana Marie Prikler wrote:
> Something like that, but I don't think the vocabulary matches 1:1.  In
> my opinion, an address is an endpoint – not a shepherd endpoint, but an
> endpoint still – while a shepherd endpoint is not an address.  Thus, I
> propose changing the vocabulary now to not break backwards
> compatibility later.
You prefer the 'addresses' field to be renamed to 'endpoints', is that correct?

IIUC, the change from the previous records to
> define-configuration is already an API change, so it'd be good to have
> both in the same series.
The first patch in the series changes from define-record-type* to define-configuration
but it does not add anything, I don't think there are actually any (exported)
API changes visible to the user.

Only the second patch starts to introduce visible API changes.

Cheers